cascading.flow.planner.iso.expression

## Interface Expression<Type>

- All Known Implementing Classes:
    AndElementExpression, AnnotationExpression, BoundariesElementExpression, ElementExpression, FlowElementExpression, GroupOrMergeElementExpression, JoinEdgesSameSourceScopeExpression, NonSafeOperationExpression, NotElementExpression, OperationExpression, OrdinalScopeExpression, OrElementExpression, PathScopeExpression, PlannerLevelElementExpression, ScopeExpression, TapOrBoundaryElementExpression, TypeExpression

      public interface Expression<Type>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applies(PlannerContext plannerContext, ElementGraph elementGraph, Type type)`

- - ### Method Detail

    - #### applies

          boolean applies(PlannerContext plannerContext,
                        ElementGraph elementGraph,
                        Type type)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.